%define date    20160413

%define major   1
%define minor   0
%define soname  %{major}.%{minor}
%define libname %mklibname %{name} %{soname}
%define devname %mklibname %{name} -d

Name:           poly2tri
Version:        1.0
Release:        %mkrel 1
Summary:        A 2D constrained Delaunay triangulation library
License:        BSD
Group:          Development/Other
URL:            https://github.com/jhasse/poly2tri
Source0:        %{name}-%{date}.tar.xz
Source1:        %{name}-Makefile
BuildRequires:  GL-devel

%description
Library based on the paper "Sweep-line algorithm for constrained Delaunay
triangulation" by V. Domiter and and B. Zalik.

%package -n     %{libname}
Summary:        A 2D constrained Delaunay triangulation library
Group:          System/Libraries

%description -n %{libname}
Library based on the paper "Sweep-line algorithm for constrained Delaunay
triangulation" by V. Domiter and and B. Zalik.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%prep
%setup -q -n %{name}-%{date}
cp %{SOURCE1} %{name}/Makefile

iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
touch -r AUTHORS AUTHORS.conv && \
mv AUTHORS.conv AUTHORS

%build
%setup_compile_flags
%make -C %{name}

%install
install -Dpm0755 %{name}/lib%{name}.so.%{soname} %{buildroot}%{_libdir}/lib%{name}.so.%{soname}
ln -s lib%{name}.so.%{soname} %{buildroot}%{_libdir}/lib%{name}.so.%{major}
ln -s lib%{name}.so.%{soname} %{buildroot}%{_libdir}/lib%{name}.so

for H in %{name}/*/*.h %{name}/*.h; do
  install -Dpm0644 $H %{buildroot}%{_includedir}/$H
done

# Add a pkgconfig entry
cat > %{name}.pc << EOF
prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: A 2D constrained Delaunay triangulation library
Version: 1.0-%{date}

Requires:
Libs: -L\${libdir} -l%{name}
Cflags: -I\${includedir}/%{name}
EOF
install -D -m644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%files -n       %{libname}
%doc AUTHORS LICENSE README.md
%{_libdir}/lib%{name}.so.%{major}*

%files -n       %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 1.0-1uplos2018
- imported from france
